# autoconf macros for detecting libstroke support 
# Use AC_CHECK_LIBSTROKE in your configure.in.  

dnl AC_CHECK_LIBSTROKE
dnl  The HAVE_LIBSTROKE macro will be defined (to be used in
dnl  config.h.in) and stroke_CFLAGS stroke_LIBS will be set to proper
dnl  values (to be used for compiling and linking)
dnl  --with-stroke-library and --with-stroke-includes can be used to
dnl  tell configure where to find the stroke.h header file and the
dnl  libstroke library
AC_DEFUN([AC_CHECK_LIBSTROKE],
[
	smr_CHECK_LIB(stroke, , mouse strokes recognition, stroke_init, stroke.h,  $GTK_LIBS, $GTK_CFLAGS)
	AC_SUBST(gstroke_LIBS)
	AC_SUBST(gstroke_CFLAGS)
	if test "x$with_stroke" = xyes; then
		AC_DEFINE(HAVE_STROKE)
	fi
])
